<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>MainWindow</class>
 <widget class="QMainWindow" name="MainWindow">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>949</width>
    <height>716</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string>MainWindow</string>
  </property>
  <widget class="QWidget" name="centralwidget">
   <layout class="QHBoxLayout" name="horizontalLayout">
    <item>
     <widget class="QStackedWidget" name="stackedWidget">
      <widget class="QWidget" name="page_3">
       <layout class="QHBoxLayout" name="horizontalLayout_6">
        <item>
         <widget class="QSplitter" name="hsplitter">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
          <widget class="QGroupBox" name="leftGroup">
           <layout class="QVBoxLayout" name="verticalLayout">
            <item>
             <widget class="QFrame" name="frame_3">
              <property name="frameShape">
               <enum>QFrame::NoFrame</enum>
              </property>
              <property name="frameShadow">
               <enum>QFrame::Raised</enum>
              </property>
              <layout class="QHBoxLayout" name="horizontalLayout_3">
               <property name="leftMargin">
                <number>0</number>
               </property>
               <property name="topMargin">
                <number>0</number>
               </property>
               <item>
                <widget class="QLabel" name="titleLabel">
                 <property name="toolTip">
                  <string>Here you can define the title that will be displayed in the browser</string>
                 </property>
                 <property name="styleSheet">
                  <string notr="true">font-weight: bold;</string>
                 </property>
                 <property name="text">
                  <string>Title:</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QLineEdit" name="titleEdit">
                 <property name="toolTip">
                  <string>Here you can define the title that will be displayed in the browser</string>
                 </property>
                 <property name="statusTip">
                  <string>Here you can define the title that will be displayed in the browser</string>
                 </property>
                </widget>
               </item>
              </layout>
             </widget>
            </item>
            <item>
             <widget class="QFrame" name="frame_4">
              <property name="frameShape">
               <enum>QFrame::NoFrame</enum>
              </property>
              <property name="frameShadow">
               <enum>QFrame::Raised</enum>
              </property>
              <layout class="QHBoxLayout" name="horizontalLayout_4">
               <property name="leftMargin">
                <number>0</number>
               </property>
               <property name="topMargin">
                <number>0</number>
               </property>
               <item>
                <widget class="QLabel" name="label_2">
                 <property name="toolTip">
                  <string>If you are using a custom CSS file, enter its name here (without extension)</string>
                 </property>
                 <property name="styleSheet">
                  <string notr="true">font-weight: bold;</string>
                 </property>
                 <property name="text">
                  <string>CSS:</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QLineEdit" name="cssEdit">
                 <property name="toolTip">
                  <string>If you are using a custom CSS file, enter its name here (without extension)</string>
                 </property>
                 <property name="statusTip">
                  <string>If you are using a custom CSS file, enter its name here (without extension)</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QLabel" name="label_3">
                 <property name="styleSheet">
                  <string notr="true">font-weight: bold;</string>
                 </property>
                 <property name="text">
                  <string>Color:</string>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QToolButton" name="colorButton">
                 <property name="text">
                  <string>Color</string>
                 </property>
                 <property name="icon">
                  <iconset resource="main.rc">
                   <normaloff>:/img/icons/colorchooser.png</normaloff>:/img/icons/colorchooser.png</iconset>
                 </property>
                 <property name="iconSize">
                  <size>
                   <width>24</width>
                   <height>24</height>
                  </size>
                 </property>
                </widget>
               </item>
              </layout>
             </widget>
            </item>
            <item>
             <widget class="QFrame" name="toolFrame">
              <property name="frameShape">
               <enum>QFrame::NoFrame</enum>
              </property>
              <property name="frameShadow">
               <enum>QFrame::Raised</enum>
              </property>
              <layout class="QHBoxLayout" name="horizontalLayout_5">
               <property name="leftMargin">
                <number>0</number>
               </property>
               <property name="topMargin">
                <number>0</number>
               </property>
               <item>
                <widget class="QLabel" name="toolLabel">
                 <property name="toolTip">
                  <string>Some additional tools for your presentations</string>
                 </property>
                 <property name="styleSheet">
                  <string notr="true">font-weight: bold;</string>
                 </property>
                 <property name="text">
                  <string>Tools:</string>
                 </property>
                </widget>
               </item>
              </layout>
             </widget>
            </item>
            <item>
             <widget class="markdownEditor" name="markdownEditor"/>
            </item>
            <item>
             <widget class="QWidget" name="pluginsWidget" native="true">
              <property name="autoFillBackground">
               <bool>false</bool>
              </property>
              <layout class="QHBoxLayout" name="horizontalLayout_7">
               <property name="leftMargin">
                <number>0</number>
               </property>
               <property name="topMargin">
                <number>0</number>
               </property>
              </layout>
             </widget>
            </item>
           </layout>
          </widget>
          <widget class="QFrame" name="frame_5">
           <property name="frameShape">
            <enum>QFrame::StyledPanel</enum>
           </property>
           <property name="frameShadow">
            <enum>QFrame::Raised</enum>
           </property>
           <layout class="QVBoxLayout" name="verticalLayout_2">
            <item>
             <widget class="QFrame" name="frame_6">
              <property name="sizePolicy">
               <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
                <horstretch>0</horstretch>
                <verstretch>1</verstretch>
               </sizepolicy>
              </property>
              <property name="frameShape">
               <enum>QFrame::NoFrame</enum>
              </property>
              <property name="frameShadow">
               <enum>QFrame::Raised</enum>
              </property>
              <layout class="QHBoxLayout" name="horizontalLayout_2">
               <property name="leftMargin">
                <number>0</number>
               </property>
               <property name="topMargin">
                <number>0</number>
               </property>
               <item>
                <widget class="QToolButton" name="showExamplesButton">
                 <property name="toolTip">
                  <string>Make the file editable to add your own examples</string>
                 </property>
                 <property name="text">
                  <string>Cheat Sheet</string>
                 </property>
                 <property name="icon">
                  <iconset resource="main.rc">
                   <normaloff>:/img/icons/help-hint.png</normaloff>:/img/icons/help-hint.png</iconset>
                 </property>
                 <property name="checkable">
                  <bool>true</bool>
                 </property>
                 <property name="toolButtonStyle">
                  <enum>Qt::ToolButtonTextBesideIcon</enum>
                 </property>
                </widget>
               </item>
               <item>
                <widget class="QCheckBox" name="editExamplesCheckBox">
                 <property name="enabled">
                  <bool>true</bool>
                 </property>
                 <property name="text">
                  <string>Edit Cheat Sheet</string>
                 </property>
                </widget>
               </item>
               <item>
                <spacer name="horizontalSpacer_2">
                 <property name="orientation">
                  <enum>Qt::Horizontal</enum>
                 </property>
                 <property name="sizeHint" stdset="0">
                  <size>
                   <width>40</width>
                   <height>20</height>
                  </size>
                 </property>
                </spacer>
               </item>
              </layout>
             </widget>
            </item>
            <item>
             <widget class="QScrollArea" name="scrollArea">
              <property name="sizePolicy">
               <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
                <horstretch>0</horstretch>
                <verstretch>30</verstretch>
               </sizepolicy>
              </property>
              <property name="widgetResizable">
               <bool>true</bool>
              </property>
              <widget class="QWidget" name="scrollAreaWidgetContents">
               <property name="geometry">
                <rect>
                 <x>0</x>
                 <y>0</y>
                 <width>474</width>
                 <height>573</height>
                </rect>
               </property>
               <layout class="QVBoxLayout" name="verticalLayout_3">
                <item>
                 <widget class="QStackedWidget" name="whatStackedWidget">
                  <widget class="QWidget" name="page">
                   <layout class="QVBoxLayout" name="verticalLayout_4">
                    <item>
                     <widget class="MyWebEngineView" name="helpWebView">
                      <property name="sizePolicy">
                       <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
                        <horstretch>0</horstretch>
                        <verstretch>0</verstretch>
                       </sizepolicy>
                      </property>
                     </widget>
                    </item>
                   </layout>
                  </widget>
                  <widget class="QWidget" name="page_2">
                   <layout class="QVBoxLayout" name="verticalLayout_6">
                    <item>
                     <widget class="markdownEditor" name="samplesEditor">
                      <property name="readOnly">
                       <bool>true</bool>
                      </property>
                     </widget>
                    </item>
                   </layout>
                  </widget>
                 </widget>
                </item>
               </layout>
              </widget>
             </widget>
            </item>
           </layout>
          </widget>
         </widget>
        </item>
       </layout>
      </widget>
      <widget class="QWidget" name="page_4"/>
     </widget>
    </item>
   </layout>
  </widget>
  <widget class="QMenuBar" name="menubar">
   <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
     <width>949</width>
     <height>30</height>
    </rect>
   </property>
   <widget class="QMenu" name="fileMenu">
    <property name="title">
     <string>File</string>
    </property>
    <widget class="QMenu" name="lastFilesMenu">
     <property name="title">
      <string>Recent Files</string>
     </property>
     <property name="icon">
      <iconset resource="main.rc">
       <normaloff>:/img/icons/document-open-recent.png</normaloff>:/img/icons/document-open-recent.png</iconset>
     </property>
     <addaction name="separator"/>
    </widget>
    <addaction name="actionNew"/>
    <addaction name="actionOpen"/>
    <addaction name="lastFilesMenu"/>
    <addaction name="actionWizard"/>
    <addaction name="actionSave"/>
    <addaction name="actionSaveAs"/>
    <addaction name="actionExport"/>
    <addaction name="separator"/>
    <addaction name="actionCreateDesktopFileLinux"/>
    <addaction name="separator"/>
    <addaction name="separator"/>
    <addaction name="actionQuit"/>
   </widget>
   <widget class="QMenu" name="menuTools">
    <property name="title">
     <string>Tools</string>
    </property>
    <widget class="QMenu" name="otherToolsMenu">
     <property name="title">
      <string>Other Tools</string>
     </property>
     <property name="icon">
      <iconset resource="main.rc">
       <normaloff>:/img/icons/tools.png</normaloff>:/img/icons/tools.png</iconset>
     </property>
     <addaction name="separator"/>
    </widget>
    <addaction name="actionSaveDoShow"/>
    <addaction name="actionFullScreen"/>
    <addaction name="actionLaunchInBrowser"/>
    <addaction name="otherToolsMenu"/>
    <addaction name="separator"/>
    <addaction name="actionCreatePDF"/>
    <addaction name="separator"/>
    <addaction name="actionOpenPresentationDir"/>
    <addaction name="actionMovePresentationDir"/>
    <addaction name="actionUpdatePresentationDir"/>
   </widget>
   <widget class="QMenu" name="menuHelp">
    <property name="title">
     <string>Help</string>
    </property>
    <addaction name="actionHelp"/>
    <addaction name="actionAbout"/>
    <addaction name="separator"/>
    <addaction name="actionShowExamples"/>
   </widget>
   <addaction name="fileMenu"/>
   <addaction name="menuTools"/>
   <addaction name="menuHelp"/>
  </widget>
  <widget class="QStatusBar" name="statusbar"/>
  <action name="actionQuit">
   <property name="icon">
    <iconset resource="main.rc">
     <normaloff>:/img/icons/application-exit.png</normaloff>:/img/icons/application-exit.png</iconset>
   </property>
   <property name="text">
    <string>Quit</string>
   </property>
   <property name="toolTip">
    <string>Quit</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+Q</string>
   </property>
  </action>
  <action name="actionOpen">
   <property name="icon">
    <iconset resource="main.rc">
     <normaloff>:/img/icons/document-open.png</normaloff>:/img/icons/document-open.png</iconset>
   </property>
   <property name="text">
    <string>Open</string>
   </property>
   <property name="toolTip">
    <string>Open file</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+O</string>
   </property>
  </action>
  <action name="actionOpenPresentationDir">
   <property name="icon">
    <iconset>
     <normalon>:/img/icons/folder-presentations.png</normalon>
    </iconset>
   </property>
   <property name="text">
    <string>Open the presentation folder</string>
   </property>
   <property name="toolTip">
    <string>Open presentations dir</string>
   </property>
  </action>
  <action name="actionSave">
   <property name="icon">
    <iconset>
     <normalon>:/img/icons/document-save.png</normalon>
    </iconset>
   </property>
   <property name="text">
    <string>Save</string>
   </property>
   <property name="toolTip">
    <string>Save file</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+S</string>
   </property>
  </action>
  <action name="actionFullScreen">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="icon">
    <iconset resource="main.rc">
     <normaloff>:/img/icons/view-fullscreen.png</normaloff>:/img/icons/view-fullscreen.png</iconset>
   </property>
   <property name="text">
    <string>Presentation in full screen</string>
   </property>
   <property name="toolTip">
    <string>Toggle fullscreen</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+F</string>
   </property>
  </action>
  <action name="actionLaunchInBrowser">
   <property name="icon">
    <iconset>
     <normalon>:/img/icons/internet-web-browser.png</normalon>
    </iconset>
   </property>
   <property name="text">
    <string>Open in the browser</string>
   </property>
   <property name="toolTip">
    <string>View in web browser</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+B, Ctrl+N</string>
   </property>
  </action>
  <action name="actionNew">
   <property name="icon">
    <iconset>
     <normalon>:/img/icons/document-new.png</normalon>
    </iconset>
   </property>
   <property name="text">
    <string>New</string>
   </property>
  </action>
  <action name="actionWizard">
   <property name="icon">
    <iconset resource="main.rc">
     <normaloff>:/img/icons/tools-wizard.png</normaloff>:/img/icons/tools-wizard.png</iconset>
   </property>
   <property name="text">
    <string>Wizard</string>
   </property>
  </action>
  <action name="actionSaveAs">
   <property name="icon">
    <iconset resource="main.rc">
     <normaloff>:/img/icons/document-save-as.png</normaloff>:/img/icons/document-save-as.png</iconset>
   </property>
   <property name="text">
    <string>Save as...</string>
   </property>
  </action>
  <action name="actionExport">
   <property name="icon">
    <iconset resource="main.rc">
     <normaloff>:/img/icons/presentation-export.png</normaloff>:/img/icons/presentation-export.png</iconset>
   </property>
   <property name="text">
    <string>Export the presentation</string>
   </property>
  </action>
  <action name="actionCreateDesktopFileLinux">
   <property name="icon">
    <iconset resource="main.rc">
     <normaloff>:/img/icons/logo_linux.png</normaloff>:/img/icons/logo_linux.png</iconset>
   </property>
   <property name="text">
    <string>Create a launcher</string>
   </property>
  </action>
  <action name="actionColor">
   <property name="icon">
    <iconset resource="main.rc">
     <normaloff>:/img/icons/colorchooser.png</normaloff>:/img/icons/colorchooser.png</iconset>
   </property>
   <property name="text">
    <string>Color</string>
   </property>
   <property name="toolTip">
    <string>Background color of presentation. Click to edit.</string>
   </property>
  </action>
  <action name="actionSaveDoShow">
   <property name="icon">
    <iconset resource="main.rc">
     <normaloff>:/img/icons/icon.png</normaloff>:/img/icons/icon.png</iconset>
   </property>
   <property name="text">
    <string>Save, convert and preview</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+P</string>
   </property>
  </action>
  <action name="actionCreatePDF">
   <property name="icon">
    <iconset resource="main.rc">
     <normaloff>:/img/icons/pdf.png</normaloff>:/img/icons/pdf.png</iconset>
   </property>
   <property name="text">
    <string>Create PDF file</string>
   </property>
  </action>
  <action name="actionMovePresentationDir">
   <property name="icon">
    <iconset resource="main.rc">
     <normaloff>:/img/icons/folder-presentations-move.png</normaloff>:/img/icons/folder-presentations-move.png</iconset>
   </property>
   <property name="text">
    <string>Move the presentation folder</string>
   </property>
  </action>
  <action name="actionUpdatePresentationDir">
   <property name="icon">
    <iconset resource="main.rc">
     <normaloff>:/img/icons/folder-presentations-update.png</normaloff>:/img/icons/folder-presentations-update.png</iconset>
   </property>
   <property name="text">
    <string>Update the presentation folder</string>
   </property>
  </action>
  <action name="actionHelp">
   <property name="icon">
    <iconset resource="main.rc">
     <normaloff>:/img/icons/help.png</normaloff>:/img/icons/help.png</iconset>
   </property>
   <property name="text">
    <string>Help</string>
   </property>
  </action>
  <action name="actionAbout">
   <property name="icon">
    <iconset resource="main.rc">
     <normaloff>:/img/icons/help-about.png</normaloff>:/img/icons/help-about.png</iconset>
   </property>
   <property name="text">
    <string>About</string>
   </property>
  </action>
  <action name="actionShowExamples">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="icon">
    <iconset resource="main.rc">
     <normaloff>:/img/icons/help-hint.png</normaloff>:/img/icons/help-hint.png</iconset>
   </property>
   <property name="text">
    <string>Cheat Sheet</string>
   </property>
   <property name="toolTip">
    <string>A list of examples to copy-paste</string>
   </property>
  </action>
 </widget>
 <customwidgets>
  <customwidget>
   <class>markdownEditor</class>
   <extends>QTextEdit</extends>
   <header>utils_editor</header>
  </customwidget>
  <customwidget>
   <class>MyWebEngineView</class>
   <extends>QTextEdit</extends>
   <header>utils_webengine</header>
  </customwidget>
 </customwidgets>
 <resources>
  <include location="main.rc"/>
 </resources>
 <connections/>
</ui>
